post
https://api-sandbox.lafise.com/obl/v1/banks//my/consents/EMAIL
This endpoint starts the process of creating a consent.
Authentication is mandatory.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
🔑 Creating a consent
📢 Considerations
- The Consent is created in an
INITIATEDstate. - A One Time Password (OTP) is sent Out of band (OOB) to the User via EMAIL". The mail in development environment must be previously registered by Banco LAFISE.
- When the Consent is created, OBL stores the challenge so it can be checked later against the value supplied by the User with the Answer Consent Challenge endpoint.
- An OBP Consent allows the holder of the Consent to call one or more endpoints.
- Consents must be created and authorisied using SCA (Strong Customer Authentication).
- That is, Consents can be created by an authorised User via the OBL REST API but they must be confirmed via an out of band (OOB) mechanism such as a code sent to a mobile phone.
- Each Consent has one of the following states:
INITIATED,ACCEPTED,REJECTED,REVOKED,VALID,REVOKEDBYPSU,EXPIRED.
📐Flowchart Create Consent:
📖 Example Requests
Below you will find the body of two sample JSON requests:
- Example 1: Client without accounts.
- Example 2: Customer with accounts.
{
"time_to_live": 3600,
"everything": true,
"valid_from": "2022-12-02T11:30:00",
"customer_id": 123456,
"views": []
}{
"time_to_live": 3600,
"everything": true,
"valid_from": "2022-12-02T11:30:00",
"customer_id": 123456,
"views": [
{
"bank_id": "BLNI",
"account_id": "100200300",
"view_id": "1"
}
]
}JSON response body fields:
| Name | Description | Type |
|---|---|---|
consent_id | Consent Id. | string |
jwt | JSON Web Token (JWT). | string |
status | Status. | string |
